/*
 * Khoros: $Id$
 */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id$";
#endif

/*
 * $Log$
 */ 

/*
 * Copyright (C) 1993, 1994, 1995, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>                                                       <<<<
   >>>>		       Global Variable Definitions            <<<<
   >>>>  Private:					      <<<<
   >>>>   Static:					      <<<<
   >>>>   Public:					      <<<<
   >>>>                                                       <<<<
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< */

#include "graphics.h"


GraphicsRoutines X3D_draw[] =
{
	{
	  	X11_DrawLine,
		X11_DrawLines,
		X11_DrawSegments,
		X11_DrawRectangle,
		X11_DrawPolygon,
		X11_DrawArc,
		X11_DrawText,
		X11_FillPolygon,
		X11_FillArc,
		X11_FillRectangle,
                X11_set_line_width,
                X11_set_line_type,
                X11_set_draw,
                X11_set_fill,
		X11_close_device
	},
};

/*
 *  Line Width definitions
 */

 /* Note this is dependent on the device defines and on the
  * line width defines. 
  * the order for the line widths are {X11}
  *
  * If a new device is added or a new line width is added, the
  * definitions below must be editted accordingly.
  */
static float 	extra_fine[]	= {0.0},
                fine[]		= {1.0},
	        medium_fine[]	= {2.0},
	        medium[]	= {3.0},
	        medium_wide[]	= {4.0},
	        wide[]		= {5.0},
	        extra_wide[]	= {6.0};

float *line_widths[] = { extra_fine, fine, medium_fine, medium,
			 medium_wide, wide, extra_wide };
		
/*
 *  Line type defintions
 */
static char     dummy_line[]   = { 0 },
		dotted[]       = { 2, 3 },
        	dot_dashed[]   = { 2, 3, 5, 3 },
        	short_dashed[] = { 5, 3 },
        	long_dashed[]  = { 8, 3 },
        	odd_dashed[]   = { 4, 3, 9, 3 },
        	grid_dotted[]   = { 1, 5 };

char    *dash_type[]   =
{
        dummy_line, dummy_line, dotted, dot_dashed, short_dashed,
	long_dashed, odd_dashed, grid_dotted
};

int     dash_len[]     = { 0, 0, 2, 4, 2, 2, 4, 2 };
